도서관
도서관 상세 조회
해당하는 libraryId에 대한 도서관의 정보를 조회합니다.
GET
/
api
/
v1
/
libraries
/
{libraryId}
도서관 상세 조회
curl --request GET \
--url https://k-polaris.life/api/v1/libraries/{libraryId}import requests
url = "https://k-polaris.life/api/v1/libraries/{libraryId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://k-polaris.life/api/v1/libraries/{libraryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://k-polaris.life/api/v1/libraries/{libraryId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://k-polaris.life/api/v1/libraries/{libraryId}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://k-polaris.life/api/v1/libraries/{libraryId}")
.asString();require 'uri'
require 'net/http'
url = URI("https://k-polaris.life/api/v1/libraries/{libraryId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"libraryId": 3372036854775808,
"name": "구미시립양포도서관",
"address": "경상북도 구미시 옥계북로 51",
"latitude": 36.1387724,
"longitude": 128.4187321,
"homepageUrl": "https://lib.gumi.go.kr",
"tel": "054-480-4770",
"openNow": true,
"todayOperatingHour": {
"weekday": 1,
"openTime": "09:00",
"closeTime": "18:00",
"closed": true
},
"weeklyOperatingHours": [
{
"weekday": 1,
"openTime": "09:00",
"closeTime": "18:00",
"closed": true
}
],
"closedRules": [
{
"ruleType": "WEEKLY",
"weekday": 1,
"nthWeek": 2,
"monthDay": 15
}
],
"bookmarked": true
}Path Parameters
Response
200 - application/json;charset=UTF-8
성공
도서관 ID입니다. 최대 길이는 19자입니다.
Example:
3372036854775808
도서관명입니다.
Example:
"구미시립양포도서관"
도서관 주소입니다.
Example:
"경상북도 구미시 옥계북로 51"
도서관이 위치한 곳의 위도입니다.
Example:
36.1387724
도서관이 위치한 곳의 경도입니다.
Example:
128.4187321
도서관 홈페이지 URL입니다.
Example:
"https://lib.gumi.go.kr"
도서관 전화번호입니다.
Example:
"054-480-4770"
도서관 운영 여부입니다.
Example:
true
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
도서관 상세 조회
curl --request GET \
--url https://k-polaris.life/api/v1/libraries/{libraryId}import requests
url = "https://k-polaris.life/api/v1/libraries/{libraryId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://k-polaris.life/api/v1/libraries/{libraryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://k-polaris.life/api/v1/libraries/{libraryId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://k-polaris.life/api/v1/libraries/{libraryId}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://k-polaris.life/api/v1/libraries/{libraryId}")
.asString();require 'uri'
require 'net/http'
url = URI("https://k-polaris.life/api/v1/libraries/{libraryId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"libraryId": 3372036854775808,
"name": "구미시립양포도서관",
"address": "경상북도 구미시 옥계북로 51",
"latitude": 36.1387724,
"longitude": 128.4187321,
"homepageUrl": "https://lib.gumi.go.kr",
"tel": "054-480-4770",
"openNow": true,
"todayOperatingHour": {
"weekday": 1,
"openTime": "09:00",
"closeTime": "18:00",
"closed": true
},
"weeklyOperatingHours": [
{
"weekday": 1,
"openTime": "09:00",
"closeTime": "18:00",
"closed": true
}
],
"closedRules": [
{
"ruleType": "WEEKLY",
"weekday": 1,
"nthWeek": 2,
"monthDay": 15
}
],
"bookmarked": true
}